<?php

CakePlugin::routes();
Router::parseExtensions('json', 'rss', 'xml');

// Basic
BemmelhorRouter::connect('/', array('controller' => 'repertoires', 'action' => 'index', 'admin' => false));
BemmelhorRouter::connect('/music/:slug', array('controller' => 'musics','admin' => false, 'action' => 'view'));
BemmelhorRouter::connect('/salmos', array('controller' => 'musics','admin' => false, 'action' => 'salmos'));
BemmelhorRouter::connect('/salmo/:slug', array('controller' => 'musics','admin' => false, 'action' => 'view'));
BemmelhorRouter::connect('/repertoire/:slug', array('controller' => 'repertoires','admin' => false, 'action' => 'view'));

BemmelhorRouter::connect('/promoted/*', array('controller' => 'nodes', 'action' => 'promoted'));
//BemmelhorRouter::connect('/admin', array('admin' => true, 'controller' => 'settings', 'action' => 'dashboard'));
BemmelhorRouter::connect('/search/*', array('controller' => 'nodes', 'action' => 'search'));
BemmelhorRouter::connect('/sitemap.xml', array('controller' => 'sitemap', 'action' => 'index'));
BemmelhorRouter::connect('/sitemap/all.xml', array('controller' => 'sitemap', 'action' => 'all'));
BemmelhorRouter::connect('/sitemap/faqs.xml', array('controller' => 'sitemap', 'action' => 'faqs'));
BemmelhorRouter::connect('/sitemap/blogs.xml', array('controller' => 'sitemap', 'action' => 'blogs'));
BemmelhorRouter::connect('/robots.txt', array('controller' => 'sitemap', 'action' => 'robots'));
BemmelhorRouter::connect('/vagas-disponiveis', array('controller' => 'job_opportunities', 'action' => 'index'));

// Content types
BemmelhorRouter::contentType('blog');
BemmelhorRouter::contentType('node');
if (Configure::read('Install.installed')) {
    BemmelhorRouter::routableContentTypes();
}

// Page
BemmelhorRouter::connect('/about', array('controller' => 'nodes', 'action' => 'view', 'type' => 'page', 'slug' => 'about'));
BemmelhorRouter::connect('/page/:slug', array('controller' => 'nodes', 'action' => 'view', 'type' => 'page'));

// Users
BemmelhorRouter::connect('/register', array('controller' => 'users', 'action' => 'add'));
BemmelhorRouter::connect('/user/:username', array('controller' => 'users', 'action' => 'view'), array('pass' => array('username')));
BemmelhorRouter::connect('/landing/:slug', array('controller' => 'landings', 'action' => 'view'));
BemmelhorRouter::connect('/faq/:slug', array('controller' => 'wikis', 'action' => 'view'));
BemmelhorRouter::connect('/faqs/find', array('controller' => 'wikis', 'action' => 'find'));
BemmelhorRouter::connect('/faqs', array('controller' => 'wikis', 'action' => 'index'));
BemmelhorRouter::connect('/faq_show/:group', array('controller' => 'wikis', 'action' => 'show_group'));

// Contact
BemmelhorRouter::connect('/contact', array('controller' => 'contacts', 'action' => 'view', 'contact'));
